#!/bin/bash

#solo ejecuto el script en centos 5
if [ "$(/bin/rpm -q centos-release)" != "centos-release-5-11.el5.centos" ];then
    exit
fi

#si el kernel default no es 1062, no tengo nada para hacer
defker=`/sbin/grubby --default-kernel`
if [[ ! "$defker" == *"-1062"* ]]; then
    exit
fi

#busco el ultimo kernel que no es 1062
ker=`/usr/bin/find /boot -name 'vmlinuz*el[67]*KPTI'|/bin/sort|/bin/grep 'el[67]'|/bin/grep -v -- '-(1062)'|/usr/bin/tail -n1`

#verifico si encontre algo
if [ -z "$ker" ];then
    echo "ERROR: No hay kernel para seleccionar"
    exit -1
fi
#verifico si existe, nunca deberia fallar
if [ ! -f "$ker" ];then
    echo "ERROR: No encontre el archivo $ker"
    exit
fi
echo "Seleccionando $ker"
/sbin/grubby --set-default=$ker
